<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc xhtml" version="1.0">
	<xsl:output omit-xml-declaration="yes" indent="no" method="html"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="treeContent">
		<xsl:if test="entry">
			<UL>
				<xsl:apply-templates/>
			</UL>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="entry">
		<xsl:variable name="vUrl" select="resultatDialogue(string(@dialog), 'act:')"/>
		<xsl:variable name="vOutClass" select="resultatDialogue(concat(@dialog, '/outlineClasses'))"/>
		<LI>
			<OBJECT type="text/sitemap">
				<param value="{@title}" name="Name" />
				<xsl:if test="substring($vOutClass, string-length($vOutClass) - 8, 9)!='noPreview'">
					<param value="{$vUrl}" name="Local" />
				</xsl:if>
				<xsl:choose>
					<xsl:when test="$vOutClass='outHome'">
						<param value="17" name="ImageNumber"/>
					</xsl:when>
					<xsl:when test="entry and substring($vOutClass, string-length($vOutClass) - 8, 9)!='noPreview'">
						<param value="1" name="ImageNumber"/>
					</xsl:when>
				</xsl:choose>
			</OBJECT>
			<xsl:if test="entry">
				<UL>
					<xsl:apply-templates/>
				</UL>
			</xsl:if>
		</LI>
	</xsl:template>

	<xsl:template match="node()"/>
</xsl:stylesheet>






