<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
                xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
                xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
                xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
                xmlns:dk="kelis.fr:dokiel" 
                xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
                xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
                xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" 
                xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
                xmlns:xlink="http://www.w3.org/1999/xlink" 
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
                xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
                xmlns:scod="scenari.eu:openDocumentExtension:1.0"
                xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
                xmlns:xalan="http://xml.apache.org/xalan"
                exclude-result-prefixes="table sp office dk style svg sl fo xlink java text scodPp sc xalan">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="*">
	
	   <!-- # Gestion de l'image principale -->
	   <xsl:variable name="vMaxWidth">16</xsl:variable>
       <xsl:variable name="vMaxHeight">21</xsl:variable>
       <xsl:variable name="vStyle">resDefault</xsl:variable>
        
	   <xsl:variable name="vCoordsList">
	       <xsl:for-each select="sp:zone">
	           <xsl:value-of select="dk:screenZoneMeta/sp:geo/sp:coords"/><xsl:text>|</xsl:text>
	       </xsl:for-each>
	   </xsl:variable>
	   
	   <text:p text:style-name="spaceBefore"/>
       <xsl:value-of select="resultatAgent(concat('@', getIdFromPath(sp:img/@sc:refUri), '_Atransform/getContent'),concat('zone:coord=',$vCoordsList,';mW=',$vMaxWidth,';mH=',$vMaxHeight,';style=',$vStyle,';'))" disable-output-escaping="yes"/>
        
	   <!-- # Gestion des commentaires des zones -->
	   <text:p text:style-name="spaceBefore"/>
	   <xsl:for-each select="sp:zone">
	       <text:p text:style-name="spaceBeforeSmall"/>
	       <table:table table:name="screenTb">
                <table:table-column table:style-name="screenTb.A"/>
                <table:table-column table:style-name="screenTb.B"/>
                <table:table-column table:style-name="screenTb.C"/>
                <table:table-column table:style-name="screenTb.D"/>
                <table:table-row>
                    <table:table-cell table:style-name="screenTb.A1">
                        <text:p text:style-name="screenTbPosition"><xsl:value-of select="position()"/>-</text:p>
                    </table:table-cell>
                    <table:table-cell office:value-type="string">
                        <xsl:variable name="vZoneMaxWidth">6</xsl:variable>
					    <xsl:variable name="vZoneMaxHeight">6</xsl:variable>
					    <xsl:variable name="vZoneStyle">resDefault</xsl:variable>
					    <xsl:value-of select="resultatAgent(concat('@', getIdFromPath(../sp:img/@sc:refUri), '_Atransform/getContent'),concat('crop:coord=',dk:screenZoneMeta/sp:geo/sp:coords,';mW=',$vZoneMaxWidth,';mH=',$vZoneMaxHeight,';style=',$vZoneStyle,';'))" disable-output-escaping="yes"/>
                    </table:table-cell>
                    <table:table-cell/>
                    <table:table-cell office:value-type="string">
                        <scodPp:ifNotNull><text:p text:style-name="screenTbTitle"><xsl:value-of select="dk:screenZoneMeta/sp:title"/></text:p></scodPp:ifNotNull>
                        <xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '/getContent'))" disable-output-escaping="yes"/>
                    </table:table-cell>
                </table:table-row>
            </table:table>
	   </xsl:for-each>
	   
	</xsl:template>
	
</xsl:stylesheet>