<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:dk="kelis.fr:dokiel" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="java sp dk " >

<xsl:param name="vSpace"/>
<xsl:param name="vCode"/>

<xsl:template match="/sc:item">
<xsl:apply-templates select="dk:screen"/>
</xsl:template>

<xsl:template match="sc:item/dk:screen">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="dk:screenMeta"><xsl:value-of select="sp:title"/></xsl:for-each></title>
<xsl:apply-templates/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:screen/sp:img[@sc:refUri]">
<attrRef nm="dk_screen:img" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>



<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:flowAll/sp:fig[@sc:refUri]">
<attrRef nm="dk_flowAll:fig" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:linkSection/sp:ref[@sc:refUri]">
<attrRef nm="dk_linkSection:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:linkSection/sp:doc[@sc:refUri]">
<attrRef nm="dk_linkSection:doc" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:txtRes/sp:imgBk[@sc:refUri]">
<attrRef nm="dk_txtRes:imgBk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>


				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='def'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef nm="dk_text:uLinkTag:def" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef nm="dk_text:uLinkTag:ref" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='doc'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef nm="dk_text:uLinkTag:doc" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='web'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef nm="dk_text:uLinkTag:web" refUri="{@sc:refUri}"/>
</xsl:template>
			
				
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='iconButton'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef nm="dk_text:inlineImgTag:iconButton" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='area'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef nm="dk_text:inlineImgTag:area" refUri="{@sc:refUri}"/>
</xsl:template>



<xsl:template match="text()|@*"/>
</xsl:stylesheet>